POST https://api.bundeling.com/V2/newsParameters Body Name Description Type Nillable Required author_uuidThe unique identifier of the author stringtruefalsetitleThe title of the newsitem stringfalsetruecontentThe body of the newsitem. stringfalsetruecategory_uuidThe unique identifier of the category stringtruefalseevent_uuidTo link the item to an event by using the unique identifier. stringfalsefalsesponsor_uuidTo create a sponsored newsitem please set a customer unique identifier in this field. stringfalsefalselinkA link to an external website that will be appended to the newsitem. stringfalsefalsesocial_sharingWhen set to true, users will be able to share this newsitem on social media. booleanfalsefalselike_enabledWhen set to true, users will be able to like this newsitem. booleanfalsefalsecomments_enabledWhen set to true, users will be able to comment on this newsitem. booleanfalsefalsedraftSave the newsitem as draft or published. booleanfalsefalsepublicationdateThe date on which this newsitem will be available to users. datetimefalsetrueexternal_referenceReference for linking to external systems. stringfalsefalselabelsLabels to add to this newsitem. array(string)falsefalseactionsTimed events that can be triggered for this newsitem mixedfalsefalse
Actions Name Description Resettable pushbroadcast_1_1News item push notification to all users on publication date true
Example request Raw cURL JavaScript PHP Python Go Choose language
Headers Body {
"author_uuid": "d7743aaf53224e279853c7d0c1dbfb3a",
"title": "Welcome to Bundeling",
"content": "Bundeling would like to welcome...",
"category_uuid": "8e09c4749b234633a7319148aac8cb81",
"event_uuid": "d669b048d2084892b5a5232b78923227",
"sponsor_uuid": "48b99d307f8746a8b126f76be5d1153e",
"link": "www.ecom.nl",
"social_sharing": true,
"like_enabled": true,
"comments_enabled": true,
"draft": false,
"publicationdate": "2026-07-03T00:00:00+0200",
"external_reference": "123908",
"labels": [
"eeb763c41c054dcc8f6d9362f24ee9b2"
],
"actions": {
"pushbroadcast_1_1": {
"enabled": true
}
}
} Example response {
"uuid": "eeb763c41c054dcc8f6d9362f24ee9b2",
"author_uuid": "d7743aaf53224e279853c7d0c1dbfb3a",
"headerimage": "eyJjbGllbnQiOjEwLCJwYXRoIjoiYnVsbGV0aW5fYm9hcmRfcGljdHVyZXNcLz...",
"title": "Welcome to Bundeling",
"content": "Bundeling would like to welcome...",
"language": "en",
"category": "Technology",
"category_uuid": "8e09c4749b234633a7319148aac8cb81",
"event_uuid": "d669b048d2084892b5a5232b78923227",
"sponsor_uuid": "48b99d307f8746a8b126f76be5d1153e",
"link": "www.ecom.nl",
"social_sharing": true,
"draft": false,
"actions": {
"pushbroadcast_1_1": {
"enabled": true,
"executed": false
}
},
"publicationdate": "2026-07-03T00:00:00+0200",
"external_reference": "123908",
"labels": [
"d7743aaf53224e279853c7d0c1dbfb3a",
"d7743aaf53224e279853c7d0c1dbfb3a"
],
"combined_labels": {
"uuid": "d7743aaf53224e279853c7d0c1dbfb3a",
"labels": [
"d7743aaf53224e279853c7d0c1dbfb3a",
"d7743aaf53224e279853c7d0c1dbfb3a"
]
},
"creationdate": "2026-04-03T00:00:00+0200",
"lastupdate": "2026-04-03T00:00:00+0200"
}